.section-product__link {
	display: inline-block;
	margin-right: 1.25em;
	color: var(--dark);

	&:hover {
		color: var(--primary);
	}

	&:last-child {
		margin-right: 0;
	}
}

.section-product.is-dark-contract {
	& .section-product__label,
	& .section-product__title,
	& .section-product__description,
	& .section-product__link {
		color: var(--white);
	}

	& .product-card {
		& .product__content {
			background: var(--white);
		}
	}
}

.section-product__categories-wrapper {
	@mixin scrollbar 5px;

	overflow-x: auto;
	margin-left: var(--container-gutter);
	margin-top: 0.5em;

	@media (--s) {
		overflow-x: inherit;
		width: 100%;
		max-width: 100%;
		margin-left: 0;
	}
}

.section-product__categories {
	display: block;
	white-space: nowrap;

	@media (--s) {
		white-space: normal;

		& .section-product__link {
			margin-top: 5px;
		}
	}
}

.section-product.has-3-columns,
.section-product.has-4-columns,
.section-product.has-5-columns,
.section-product.has-6-columns {
	& .section-product__col {
		width: 50%;

		&:nth-child(-n + 2) {
			margin-top: 0;
		}
	}
}

.section-product.has-3-columns,
.section-product.has-5-columns {
	& .section-product__col {
		@media (--xs) {
			width: 33.33%;

			&:nth-child(-n + 3) {
				margin-top: 0;
			}
		}
	}
}

.section-product.has-4-columns,
.section-product.has-6-columns {
	& .section-product__col {
		@media (--s) {
			width: 25%;

			&:nth-child(-n + 4) {
				margin-top: 0;
			}
		}
	}
}

.section-product.has-5-columns {
	& .section-product__col {
		@media (--m) {
			width: 20%;

			&:nth-child(-n + 5) {
				margin-top: 0;
			}
		}
	}
}

.section-product.has-6-columns {
	& .section-product__col {
		@media (--m) {
			width: calc(100% / 6);

			&:nth-child(-n + 6) {
				margin-top: 0;
			}
		}
	}
}

.section-product.is-header-center {
	& .section-product__header {
		display: flex;
		flex-direction: column;
		align-items: center;
		text-align: center;
	}

	& .section-product__footer {
		text-align: center;
	}

	& .default-section__container--header {
		display: flex;
		flex-direction: column;
	}

	& .section-product__categories {
		margin-top: 1em;
	}
}

.section-product.is-header-right {
	& .section-product__header {
		text-align: right;
	}
}

.section-product.is-footer-center {
	& .section-product__footer {
		text-align: center;
	}
}

.section-product.is-footer-right {
	& .section-product__footer {
		text-align: right;
	}
}

.section-product.display-categories {
	& .section-product__header {
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		justify-content: space-between;
	}

	& .section-product__link {
		margin-right: 0.5em;
		padding-right: 1em;
		display: inline-block;
		position: relative;
		text-transform: capitalize;

		&:last-child {
			padding-right: 0;
		}

		&:not(:last-child):hover {
			&::after {
				content: '';
				position: absolute;
				width: calc(100% - 1em);
				height: 2px;
				background: var(--primary);
				bottom: 0;
				left: 0;
				display: flex;
				align-items: center;
				opacity: 0.75;
			}
		}
	}
}
